%global pkg_name        ExtUtils-CBuilder
%global pkg_version     0.21
%global rpm_pkg_version 0.21
%global rpm_pkg_release 1.n0i.17

Summary:       Compile and link C code for Perl modules
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic 2.0
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/K/KW/KWILLIAMS/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: rpm-build-reb00t-perl
BuildRequires: perl(Text::ParseWords)


%description
This module can build the C portions of Perl modules by invoking
the appropriate compilers and linkers in a cross-platform manner.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Changes
%{perl_files}


%changelog
* Thu Nov 01 2007 Marius Feraru <altblue@n0i.net> - 0.21-1.n0i.17
- version 0.21

* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.19-1.n0i.16
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- version 0.19

* Mon Mar 27 2006 Marius Feraru <altblue@n0i.net> - 0.18-1.n0i.15
- version 0.18

* Thu Oct 06 2005 Marius Feraru <altblue@n0i.net> 0.15-1.n0i.14
- version 0.15

* Wed Sep 21 2005 Marius Feraru <altblue@n0i.net> 0.14-1.n0i.13
- version 0.14

* Fri Sep 09 2005 Marius Feraru <altblue@n0i.net> 0.13-2.n0i.12
- automatic rebuild (perl 5.8.7)

* Tue Sep 06 2005 Marius Feraru <altblue@n0i.net> 0.13-1.n0i.11
- version 0.13

* Wed Jul 20 2005 Marius Feraru <altblue@n0i.net> 0.12-1.n0i.10
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Thu Mar 31 2005 Marius Feraru <altblue@n0i.net> 0:0.10-3.n0i.9
- version 0.10

* Tue Feb 15 2005 Marius Feraru <altblue@n0i.net> 0:0.09-2.n0i.8
- version 0.09

* Sat Jan 22 2005 Marius Feraru <altblue@n0i.net> 0:0.08-1.n0i.7
- version 0.08

* Wed Jan 05 2005 Marius Feraru <altblue@n0i.net> 0:0.06-1.n0i.6
- version 0.06

* Tue Nov 30 2004 Marius FERARU <altblue@n0i.net> 0:0.05-1.n0i.5
- version 0.05

* Fri Jul 09 2004 Marius Feraru <altblue@n0i.net> 0:0.03-2.n0i.4
- version 0.03

* Tue May 04 2004 Marius Feraru <altblue@n0i.net> 0:0.02-1.n0i.3
- spec file (re?)created using N0i::CPAN::RPMizer/2004050401
- rebuild (perl 5.8.4)

* Wed Feb 25 2004 Marius FERARU <altblue@n0i.net> 0:0.02-1.n0i.2
- version 0.02

* Thu Jan 29 2004 Marius FERARU <altblue@n0i.net> 0:0.01-0.n0i.1
- version 0.01
- spec file (re?)created using N0i::CPAN::RPMizer/2004011001
